import React from 'react';
import { observer } from 'mobx-react-lite';
import { Page } from '@choerodon/boot';
import CustomHeader from "../../components/custom-header";
import MainView from "./main-view";
import { useResourceStore } from "./stores";

function Resource() {
  var _useResourceStore = useResourceStore(),
      permissions = _useResourceStore.permissions,
      getShowHeader = _useResourceStore.resourceStore.getShowHeader;

  return /*#__PURE__*/React.createElement(Page, {
    service: ['choerodon.code.project.deploy.app-deployment.resource.ps.default']
  }, /*#__PURE__*/React.createElement(CustomHeader, {
    show: getShowHeader
  }), /*#__PURE__*/React.createElement(MainView, null));
}

export default observer(Resource);